/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '../../../../styles/plateg-variables.less';
.freigabe-list {
  font-size: 1.6rem !important;
  line-height: 22px;
  margin-bottom: 24px;
  .freigabe-list-entry {
    display: flex;
    flex-wrap: wrap;
    border-bottom: 1px solid @platform-blue3 !important;
    font-size: 1.6rem;
    &.has-error {
      border-color: @platform-validation-red;
      color: @platform-validation-red;
      .btn-delete-role button {
        color: @platform-validation-red !important;
        &:hover,
        &:focus {
          color: #fff !important;
        }
      }
      .ant-select-selector {
        border-color: @platform-validation-red !important;
      }
    }
    .btn-delete-role {
      margin: 0 auto;
      .ant-popover-open {
        color: #fff !important;
      }
    }
    .span-user-name {
      width: 310px;
      margin-right: 16px;
      @media screen and(max-width: 930px) {
        padding-bottom: 8px;
      }
    }
    .span-role-select {
      display: flex;
      width: 300px;
      align-items: center;
      .ausschuss-select {
        margin-left: 20px;
        margin-right: 20px;
      }
    }
    .span-create-doc {
      width: 300px;
      display: flex;
      align-items: center;
      .user-role {
        display: inline-block;
        width: 240px;
      }
    }
    &.first-list-item {
      padding-bottom: 24px;
    }

    &.title-row {
      font-weight: 500;
    }

    .ant-select-selector {
      font-size: 1.6rem;
      width: 240px !important;
      min-width: 100%;
      display: flex;
      justify-content: center;
      align-items: center;
    }

    .ant-select-arrow {
      transition: transform 0.3s;
    }

    .ant-select-open {
      .ant-select-arrow {
        transform: rotate(180deg);
      }
      .ant-select-selector {
        .ant-select-selection-item {
          font-size: 1.6rem !important;
          color: @platform-text-color !important;
        }
      }
    }

    .ant-select-disabled {
      .ant-select-selector {
        color: black !important;
        background: transparent !important;
        border: none !important;
        padding: 0 !important;
        .ant-select-selection-item {
          cursor: auto;
          user-select: auto;
        }
      }
      .ant-select-arrow {
        display: none;
      }
    }
    .value-disabled-mode {
      width: 240px;
      display: 'inline-block';
    }
  }
  .div-no-addresses {
    padding: 6px 0;
  }
  .anticon {
    height: 19px;
    width: 19px;
    padding: 1px;
  }
}
